| Home | Libraries | People | FAQ | More

## Function template find_format_all

boost::algorithm::find_format_all — Generic replace all algorithm.

## Synopsis

    template<typename SequenceT, typename FinderT, typename FormatterT>
      void find_format_all(SequenceT & Input, FinderT Finder,
                           FormatterT Formatter);

## Description

Use the Finder to search for a substring. Use the Formatter to format this substring and replace it in the input. Repeat this for all matching substrings.The input is modified in-place.

Parameters

Finder

  A Finder object used to search for a match to be replaced

Formatter

  A Formatter object used to format a match

Input

  An input sequence

| Copyright © 2002-2004 Pavol Droba